---
title: Accessing Interactive Nodes
#tags:
#keywords:
last_updated: 13 June 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/interactive.html
---


## Login nodes description

The Merlin6 login nodes are the official machines for accessing the recources of Merlin6.
From these machines, users can submit jobs to the Slurm batch system as well as visualize or compile their software.

The Merlin6 login nodes are the following:

| Hostname                | SSH | NoMachine | #cores | #Threads | CPU                   | Memory | Scratch    | Scratch Mountpoint  |
| -------------------     | --- | --------- | ------ |:--------:| :-------------------- | ------ | ---------- | :------------------ |
| merlin-l-001.psi.ch     | yes | yes       | 2 x 22 | 2        | Intel Xeon Gold 6152  | 384GB  | 1.8TB NVMe | ``/scratch``        |
| merlin-l-002.psi.ch     | yes | yes       | 2 x 22 | 2        | Intel Xeon Gold 6142  | 384GB  | 1.8TB NVMe | ``/scratch``        |
| merlin-l-01.psi.ch      | yes | -         | 2 x 16 | 2        | Intel Xeon E5-2697Av4 | 512GB  | 100GB SAS  | ``/scratch``        |

---

## Remote Access

### SSH Access

For interactive command shell access, use an SSH client. We recommend to activate SSH's X11 forwarding to allow you to use graphical 
applications (e.g. a text editor, but for more performant graphical access, refer to the sections below). X applications are supported 
in the login nodes and X11 forwarding can be used for those users who have properly configured X11 support in their desktops, however:

* Merlin6 administrators **do not offer support** for user desktop configuration (Windows, MacOS, Linux).
   * Hence, Merlin6 administrators **do not offer official support** for X11 client setup.
   * Nevertheless, a generic guide for X11 client setup (*Linux*, *Windows* and *MacOS*) is provided below.
* PSI desktop configuration issues must be addressed through  **[PSI Service Now](https://psi.service-now.com/psisp)** as an *Incident Request*.
   * Ticket will be redirected to the corresponding Desktop support group (Windows, Linux).

#### Accessing from a Linux client

Refer to [{Accessing Merlin -> Accessing from Linux Clients}](/merlin6/connect-from-linux.html) for **Linux** SSH client and X11 configuration.

#### Accessing from a Windows client

Refer to [{Accessing Merlin -> Accessing from Windows Clients}](/merlin6/connect-from-windows.html) for **Windows** SSH client and X11 configuration.

#### Accessing from a MacOS client

Refer to [{Accessing Merlin -> Accessing from MacOS Clients}](/merlin6/connect-from-macos.html) for **MacOS** SSH client and X11 configuration.

### Graphical access using **NoMachine** client

X applications are supported in the login nodes and can run efficiently through a **NoMachine** client. This is the officially supported way to run more demanding X applications on Merlin6. The client software can be downloaded from [the Nomachine Website](https://www.nomachine.com/product&p=NoMachine%20Enterprise%20Client).

* NoMachine *client installation* support has to be requested through **[PSI Service Now](https://psi.service-now.com/psisp)** as an *Incident Request*.
   * Ticket will be redirected to the corresponding support group (Windows or Linux)
* NoMachine *client configuration* and *connectivity* for Merlin6 is fully supported by Merlin6 administrators.
   * Please contact us through the official channels on any configuration issue with NoMachine.

---
